Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 342)
@@ -391,5 +391,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugCitrus/Makefile	(revision 342)
@@ -391,5 +391,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 342)
@@ -391,5 +391,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.c	(revision 342)
@@ -245,5 +245,5 @@
 	FIL file;
 	FRESULT ret;
-	char fname[] = {"0:/log/20160101000000.log"};
+	char fname[] = {"1:/log/20160101000000.log"};
 
 	get_logfname(fname);
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/echonet_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/echonet_main.c	(revision 342)
@@ -50,5 +50,5 @@
 #include "echonet_main.h"
 #include "echonet_cfg.h"
-#include "rx630.h"
+#include "target_kernel_impl.h"
 #include "ff.h"
 #include "diskio.h"
@@ -59,4 +59,5 @@
 #include <net/ethernet.h>
 #include <net/if_var.h>
+#include "ntshell_main.h"
 
 /* TODO: メーカーコードを設定 */
@@ -504,8 +505,8 @@
 
 	/* 3ms後に7SEG表示を更新 */
-	main_led_timer = 3;
+	main_led_timer = 3 * 1000;
 
 	/* 10ms後にボタン状態を確認 */
-	main_timer = 10;
+	main_timer = 10 * 1000;
 
 	/* 12bitADC初期化 */
@@ -520,5 +521,10 @@
 
 	/* 1秒後に表示を更新 */
-	main_adv_timer = 1000;
+	main_adv_timer = 1000 * 1000;
+
+	ER ret = act_tsk(MAIN_TASK);
+	if (ret != E_OK) {
+		syslog(LOG_ERROR, "act_tsk");
+	}
 }
 
@@ -759,5 +765,5 @@
 
 			if (electric_energy_meter_data[0].current_pos == 0) {
-				//act_tsk(CLIENT_TASK);
+				cmd_execute("logupload", NULL);
 			}
 		}
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c	(revision 342)
@@ -77,4 +77,5 @@
 #include "client.h"
 #include "ntp_cli.h"
+#include "netcmd.h"
 
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
@@ -83,5 +84,5 @@
 #ifdef IF_ETHER_BTUSB
 extern int bt_bnep_mode;
-
+/* PANU向けリモートアドレス */
 // BUFFALLO
 //bd_addr_t remote_addr = { 0x00,0x1B,0xDC,0x04,0x5C,0x2D };
@@ -144,5 +145,4 @@
 
 ntshell_t ntshell;
-void _start_c(long *p);
 
 /*
@@ -150,13 +150,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 #ifdef IF_ETHER_BTUSB
@@ -170,6 +161,4 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
 }
 
@@ -187,5 +176,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	//wolfSSL_Debugging_ON();
@@ -247,6 +236,6 @@
 #endif
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
@@ -339,8 +328,4 @@
 
 extern int curl_main(int argc, char **argv);
-extern int usrcmd_ping(int argc, char **argv);
-extern int usrcmd_dhcp4c(int argc, char **argv);
-extern int usrcmd_dnsc(int argc, char **argv);
-extern int usrcmd_ntpc(int argc, char **argv);
 
 static const cmd_table_t cmdlist[] = {
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.cfg	(revision 342)
@@ -84,4 +84,4 @@
 INCLUDE("echonet_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/tinet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/tinet_app_config.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/tinet_app_config.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
  */
 
@@ -624,5 +624,5 @@
 /* DNS サーバの IP アドレス */
 
-#if !defined(DHCP6_CLI_CFG)
+//#if !defined(DHCP6_CLI_CFG)
 
 #define IPV6_ADDR_DNS_INIT	\
@@ -632,9 +632,9 @@
 	    UINT_C(0xfe), UINT_C(0x56), UINT_C(0xc5), UINT_C(0xd6) }}}
 
-#endif	/* of #if !defined(DHCP6_CLI_CFG) */
-
-#if !defined(DHCP4_CLI_CFG)
-#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,2,1)
-#endif
+//#endif	/* of #if !defined(DHCP6_CLI_CFG) */
+
+//#if !defined(DHCP4_CLI_CFG)
+#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,137,1)
+//#endif
 
 /* DOMAIN 名 */
Index: asp3_tinet_ecnl_rx/trunk/app2_light/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app2_light/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app2_light/Debug/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app2_light/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app2_light/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app2_light/DebugCitrus/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app2_light/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app2_light/DebugEther/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app2_light/DebugEther/Makefile	(revision 342)
@@ -380,5 +380,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app2_light/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app2_light/src/echonet_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app2_light/src/echonet_main.c	(revision 342)
@@ -50,5 +50,5 @@
 #include "echonet_main.h"
 #include "echonet_cfg.h"
-#include "rx630.h"
+#include "target_kernel_impl.h"
 
 /* TODO: メーカーコードを設定 */
@@ -490,4 +490,9 @@
 	main_btn1_state = (btn1 & 0x80/*0x0x20*/) != 0;
 	main_btn2_state = (btn2 & 0x80) != 0;
+
+	ER ret = act_tsk(MAIN_TASK);
+	if (ret != E_OK) {
+		syslog(LOG_ERROR, "act_tsk");
+	}
 }
 
Index: asp3_tinet_ecnl_rx/trunk/app2_light/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app2_light/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app2_light/src/main.c	(revision 342)
@@ -76,4 +76,5 @@
 #include <btstack/utils.h>
 #include "ntp_cli.h"
+#include "netcmd.h"
 
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
@@ -82,5 +83,5 @@
 #ifdef IF_ETHER_BTUSB
 extern int bt_bnep_mode;
-
+/* PANU向けリモートアドレス */
 // BUFFALLO
 //bd_addr_t remote_addr = { 0x00,0x1B,0xDC,0x04,0x5C,0x2D };
@@ -143,5 +144,4 @@
 
 ntshell_t ntshell;
-void _start_c(long *p);
 
 /*
@@ -149,13 +149,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 #ifdef IF_ETHER_BTUSB
@@ -169,6 +160,4 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
 }
 
@@ -184,5 +173,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	ntshell_task_init();
@@ -239,6 +228,6 @@
 #endif
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
@@ -309,9 +298,4 @@
 	echonet_change_netif_link(link_up, up);
 }
-
-extern int usrcmd_ping(int argc, char **argv);
-extern int usrcmd_dhcp4c(int argc, char **argv);
-extern int usrcmd_dnsc(int argc, char **argv);
-extern int usrcmd_ntpc(int argc, char **argv);
 
 static const cmd_table_t cmdlist[] = {
Index: asp3_tinet_ecnl_rx/trunk/app2_light/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app2_light/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app2_light/src/main.cfg	(revision 342)
@@ -84,4 +84,4 @@
 INCLUDE("echonet_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/app2_light/src/tinet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app2_light/src/tinet_app_config.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app2_light/src/tinet_app_config.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
  */
 
@@ -624,5 +624,5 @@
 /* DNS サーバの IP アドレス */
 
-#if !defined(DHCP6_CLI_CFG)
+//#if !defined(DHCP6_CLI_CFG)
 
 #define IPV6_ADDR_DNS_INIT	\
@@ -632,9 +632,9 @@
 	    UINT_C(0xfe), UINT_C(0x56), UINT_C(0xc5), UINT_C(0xd6) }}}
 
-#endif	/* of #if !defined(DHCP6_CLI_CFG) */
-
-#if !defined(DHCP4_CLI_CFG)
-#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,2,1)
-#endif
+//#endif	/* of #if !defined(DHCP6_CLI_CFG) */
+
+//#if !defined(DHCP4_CLI_CFG)
+#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,137,1)
+//#endif
 
 /* DOMAIN 名 */
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/Debug/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugCitrus/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugEther/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugEther/Makefile	(revision 342)
@@ -380,5 +380,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c	(revision 342)
@@ -50,5 +50,5 @@
 #include "echonet_main.h"
 #include "echonet_cfg.h"
-#include "rx630.h"
+#include "target_kernel_impl.h"
 
 /* TODO: メーカーコードを設定 */
@@ -378,4 +378,9 @@
 	main_btn1_state = (btn1 & 0x80) != 0;
 	main_btn2_state = (btn2 & 0x80) != 0;
+
+	ER ret = act_tsk(MAIN_TASK);
+	if (ret != E_OK) {
+		syslog(LOG_ERROR, "act_tsk");
+	}
 }
 
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c	(revision 342)
@@ -76,4 +76,5 @@
 #include <btstack/utils.h>
 #include "ntp_cli.h"
+#include "netcmd.h"
 
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
@@ -82,5 +83,5 @@
 #ifdef IF_ETHER_BTUSB
 extern int bt_bnep_mode;
-
+/* PANU向けリモートアドレス */
 // BUFFALLO
 //bd_addr_t remote_addr = { 0x00,0x1B,0xDC,0x04,0x5C,0x2D };
@@ -143,5 +144,4 @@
 
 ntshell_t ntshell;
-void _start_c(long *p);
 
 /*
@@ -149,13 +149,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 #ifdef IF_ETHER_BTUSB
@@ -169,6 +160,4 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
 }
 
@@ -184,5 +173,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	ntshell_task_init();
@@ -239,6 +228,6 @@
 #endif
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
@@ -309,9 +298,4 @@
 	echonet_change_netif_link(link_up, up);
 }
-
-extern int usrcmd_ping(int argc, char **argv);
-extern int usrcmd_dhcp4c(int argc, char **argv);
-extern int usrcmd_dnsc(int argc, char **argv);
-extern int usrcmd_ntpc(int argc, char **argv);
 
 static const cmd_table_t cmdlist[] = {
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.cfg	(revision 342)
@@ -84,4 +84,4 @@
 INCLUDE("echonet_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
  */
 
@@ -624,5 +624,5 @@
 /* DNS サーバの IP アドレス */
 
-#if !defined(DHCP6_CLI_CFG)
+//#if !defined(DHCP6_CLI_CFG)
 
 #define IPV6_ADDR_DNS_INIT	\
@@ -632,9 +632,9 @@
 	    UINT_C(0xfe), UINT_C(0x56), UINT_C(0xc5), UINT_C(0xd6) }}}
 
-#endif	/* of #if !defined(DHCP6_CLI_CFG) */
-
-#if !defined(DHCP4_CLI_CFG)
-#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,2,1)
-#endif
+//#endif	/* of #if !defined(DHCP6_CLI_CFG) */
+
+//#if !defined(DHCP4_CLI_CFG)
+#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,137,1)
+//#endif
 
 /* DOMAIN 名 */
Index: asp3_tinet_ecnl_rx/trunk/app4_aircon/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app4_aircon/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app4_aircon/Debug/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app4_aircon/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app4_aircon/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app4_aircon/DebugCitrus/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app4_aircon/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app4_aircon/DebugEther/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app4_aircon/DebugEther/Makefile	(revision 342)
@@ -380,5 +380,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app4_aircon/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app4_aircon/src/echonet_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app4_aircon/src/echonet_main.c	(revision 342)
@@ -50,5 +50,5 @@
 #include "echonet_main.h"
 #include "echonet_cfg.h"
-#include "rx630.h"
+#include "target_kernel_impl.h"
 
 /* TODO: メーカーコードを設定 */
@@ -513,4 +513,9 @@
 	main_btn1_state = (btn1 & 0x20) != 0;
 	main_btn2_state = (btn2 & 0x80) != 0;
+
+	ER ret = act_tsk(MAIN_TASK);
+	if (ret != E_OK) {
+		syslog(LOG_ERROR, "act_tsk");
+	}
 }
 
@@ -1176,5 +1181,5 @@
 	/* 500msパルス出力 */
 	main_rly_state = main_rly_state_on;
-	main_rly_timer = 500;
+	main_rly_timer = 500 * 1000;
 }
 
Index: asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.c	(revision 342)
@@ -76,4 +76,5 @@
 #include <btstack/utils.h>
 #include "ntp_cli.h"
+#include "netcmd.h"
 
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
@@ -82,5 +83,5 @@
 #ifdef IF_ETHER_BTUSB
 extern int bt_bnep_mode;
-
+/* PANU向けリモートアドレス */
 // BUFFALLO
 //bd_addr_t remote_addr = { 0x00,0x1B,0xDC,0x04,0x5C,0x2D };
@@ -143,5 +144,4 @@
 
 ntshell_t ntshell;
-void _start_c(long *p);
 
 /*
@@ -149,13 +149,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 #ifdef IF_ETHER_BTUSB
@@ -169,6 +160,4 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
 }
 
@@ -184,5 +173,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	ntshell_task_init();
@@ -239,6 +228,6 @@
 #endif
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
@@ -309,9 +298,4 @@
 	echonet_change_netif_link(link_up, up);
 }
-
-extern int usrcmd_ping(int argc, char **argv);
-extern int usrcmd_dhcp4c(int argc, char **argv);
-extern int usrcmd_dnsc(int argc, char **argv);
-extern int usrcmd_ntpc(int argc, char **argv);
 
 static const cmd_table_t cmdlist[] = {
Index: asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app4_aircon/src/main.cfg	(revision 342)
@@ -84,4 +84,4 @@
 INCLUDE("echonet_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/app4_aircon/src/tinet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app4_aircon/src/tinet_app_config.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app4_aircon/src/tinet_app_config.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
  */
 
@@ -624,5 +624,5 @@
 /* DNS サーバの IP アドレス */
 
-#if !defined(DHCP6_CLI_CFG)
+//#if !defined(DHCP6_CLI_CFG)
 
 #define IPV6_ADDR_DNS_INIT	\
@@ -632,9 +632,9 @@
 	    UINT_C(0xfe), UINT_C(0x56), UINT_C(0xc5), UINT_C(0xd6) }}}
 
-#endif	/* of #if !defined(DHCP6_CLI_CFG) */
-
-#if !defined(DHCP4_CLI_CFG)
-#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,2,1)
-#endif
+//#endif	/* of #if !defined(DHCP6_CLI_CFG) */
+
+//#if !defined(DHCP4_CLI_CFG)
+#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,137,1)
+//#endif
 
 /* DOMAIN 名 */
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/Debug/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugCitrus/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugEther/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugEther/Makefile	(revision 342)
@@ -380,5 +380,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/echonet_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/echonet_main.c	(revision 342)
@@ -50,5 +50,5 @@
 #include "echonet_main.h"
 #include "echonet_cfg.h"
-#include "rx630.h"
+#include "target_kernel_impl.h"
 
 /* TODO: メーカーコードを設定 */
@@ -403,4 +403,9 @@
 	main_btn1_state = (btn1 & 0x20) != 0;
 	main_btn2_state = (btn2 & 0x80) != 0;
+
+	ER ret = act_tsk(MAIN_TASK);
+	if (ret != E_OK) {
+		syslog(LOG_ERROR, "act_tsk");
+	}
 }
 
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c	(revision 342)
@@ -76,4 +76,5 @@
 #include <btstack/utils.h>
 #include "ntp_cli.h"
+#include "netcmd.h"
 
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
@@ -82,5 +83,5 @@
 #ifdef IF_ETHER_BTUSB
 extern int bt_bnep_mode;
-
+/* PANU向けリモートアドレス */
 // BUFFALLO
 //bd_addr_t remote_addr = { 0x00,0x1B,0xDC,0x04,0x5C,0x2D };
@@ -143,5 +144,4 @@
 
 ntshell_t ntshell;
-void _start_c(long *p);
 
 /*
@@ -149,13 +149,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 #ifdef IF_ETHER_BTUSB
@@ -169,6 +160,4 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
 }
 
@@ -184,5 +173,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	ntshell_task_init();
@@ -239,6 +228,6 @@
 #endif
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
@@ -309,9 +298,4 @@
 	echonet_change_netif_link(link_up, up);
 }
-
-extern int usrcmd_ping(int argc, char **argv);
-extern int usrcmd_dhcp4c(int argc, char **argv);
-extern int usrcmd_dnsc(int argc, char **argv);
-extern int usrcmd_ntpc(int argc, char **argv);
 
 static const cmd_table_t cmdlist[] = {
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.cfg	(revision 342)
@@ -84,4 +84,4 @@
 INCLUDE("echonet_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/tinet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/tinet_app_config.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/tinet_app_config.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
  */
 
@@ -624,5 +624,5 @@
 /* DNS サーバの IP アドレス */
 
-#if !defined(DHCP6_CLI_CFG)
+//#if !defined(DHCP6_CLI_CFG)
 
 #define IPV6_ADDR_DNS_INIT	\
@@ -632,9 +632,9 @@
 	    UINT_C(0xfe), UINT_C(0x56), UINT_C(0xc5), UINT_C(0xd6) }}}
 
-#endif	/* of #if !defined(DHCP6_CLI_CFG) */
-
-#if !defined(DHCP4_CLI_CFG)
-#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,2,1)
-#endif
+//#endif	/* of #if !defined(DHCP6_CLI_CFG) */
+
+//#if !defined(DHCP4_CLI_CFG)
+#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,137,1)
+//#endif
 
 /* DOMAIN 名 */
Index: asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/Debug/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/DebugCitrus/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/DebugEther/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/DebugEther/Makefile	(revision 342)
@@ -380,5 +380,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/echonet_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/echonet_main.c	(revision 342)
@@ -50,5 +50,5 @@
 #include "echonet_main.h"
 #include "echonet_cfg.h"
-#include "rx630.h"
+#include "target_kernel_impl.h"
 
 /* TODO: メーカーコードを設定 */
@@ -386,4 +386,9 @@
 	main_btn1_state = (btn1 & 0x80) != 0;
 	main_btn2_state = (btn2 & 0x80) != 0;
+
+	ER ret = act_tsk(MAIN_TASK);
+	if (ret != E_OK) {
+		syslog(LOG_ERROR, "act_tsk");
+	}
 }
 
